<? 
//tomo el valor de un elemento de tipo texto del formulario 
require('..\pf\startinclude.php');
include "unzip.php";

//datos del arhivo 
$nombre_archivo = $HTTP_POST_FILES['userfile']['name']; 
$tipo_archivo = $HTTP_POST_FILES['userfile']['type']; 
$tamano_archivo = $HTTP_POST_FILES['userfile']['size']; 


//compruebo si las características del archivo son las que deseo 
if (!((strpos($nombre_archivo, "atszip") and ($tamano_archivo < 30000000)))) { 
    echo "La extensión o el tamaño de los archivos no es correcta. <br><br>";
	 echo "<table><tr><td><li>$nombre_archivo debe ser zip<br>";
	 echo "<li>y $tamano_archivo debe ser menor a 2000000</td></tr></table>"; 
}else{ 
    if (move_uploaded_file($HTTP_POST_FILES['userfile']['tmp_name'], "c:\\".$nombre_archivo)){ 
       echo "El archivo $nombre_archivo ha sido cargado correctamente.<br>"; 
		 echo "<span style=\"color:#1da319;\">-------------------------------------------------------------------------------------------------------------------------------------------</span><br />";
			// descromprimimos los archivos...
			sleep(10);
			unzip("c:\\".$nombre_archivo,"c:\\",false,true);
			unlink("c:\\".$nombre_archivo);

			//echo "<span style=\"color:#1da319;\">Archivo Guardado: </span>".$file_name."<br />";
			echo "<span style=\"color:#1da319;\">-------------------------------------------------------------------------------------------------------------------------------------------</span><br />";
			// vemos el archivo sql de actualizacion...			
			$handle = @fopen("actualizacion.sql", "r");
			$sql="";
			if ($handle) {
			    while (!feof($handle)) {
			        $buffer = fgets($handle);
					  $sql.=$buffer."\n";
			    }
			    fclose($handle);
			}
			$sqls=explode("<br>",$sql);
			for ($i=0;$i<count($sqls);$i++) {
				$sql=$sqls[$i];
				ejecutarsql($sql,&$filas,&$resultado);
				if ($sql) {
					echo "<span style=\"color:#1da319;\"><b>SQL Ejecutada</b>: $sql</span><br /><br />";
				}
			}
			unlink("actualizacion.sql");
			
			echo "<span style=\"color:#1da319;\">-------------------------------------------------------------------------------------------------------------------------------------------</span><br />";
			// y mostramos el archivo de texto (si es que hay)
			$handle = @fopen("actualizacion.txt", "r");
			$sql="";
			if ($handle) {
			    while (!feof($handle)) {
			        $buffer = fgets($handle);
			        echo $buffer."<br>";
					  
			    }
			    fclose($handle);
			}
			unlink("actualizacion.txt");
			
			
		 
		 
    }else{ 
       echo "Ocurrió algún error al subir el fichero. No pudo guardarse."; 
    } 
} 
?> 